import { formatDistance } from 'date-fns';
import { Clock } from '.';
import { dateLocale } from '../data/translations/i18n';
const formatDateTime = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleString(locales) : '';
const formatMonthLong = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleString(locales, {
  month: 'long'
}) : '';
const formatDate = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleDateString(locales) : '';
const formatDateShort = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleDateString(locales, {
  month: '2-digit',
  day: '2-digit',
  year: '2-digit'
}) : '';
const formatTime = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleTimeString(locales) : '';
const formatTimeShort = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleTimeString(locales, {
  hour: '2-digit',
  minute: '2-digit'
}) : '';
const timeSince = dateTime => dateTime ? formatDistance(new Date(dateTime), Clock.now(), {
  locale: dateLocale,
  addSuffix: true
}) : '';
export { formatDateTime, formatMonthLong, formatDate, formatDateShort, formatTime, formatTimeShort, timeSince };
//# sourceMappingURL=date-time-formatter.js.map